#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define pb push_back
#define fi first
#define se second
#define en '\n'
#define sp ' '
#define tb '\t'
#define ri(n) int n; cin >> n
#define rl(n) ll n; cin >> n
#define rs(s) string s; cin >> s
#define rc(c) char c; cin >> c
#define rv(v) for (auto &x : v) cin >> x
#define pven(v) for (auto x : v) cout << x << en
#define pv(v) for (auto x : v) cout << x << sp; cout << en
#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define yes cout << "YES" << en
#define no cout << "NO" << en
#define smin(a, b) a = min(a, b)
#define smax(a, b) a = max(a, b)
#define ssort(a, b) if (a < b) swap(a, b)
#define bitcnt(a) (__builtin_popcountll(a))
#define bithigh(a) (63-__builtin_clzll(a))
#define lg bithigh
#define highpow(a) (1LL << (ll)lg(a))

using namespace std;

const ll LINF = 4e18;
const int mxN = 1e6+10, INF = 2e9, mod = 1e9+7;
ll n, m, a[mxN];
array<ll, 2> p[mxN], x, y;

ll Calc(ll x, ll y){

    ll ans = 0;
    for (int i = 0; i <= m; i++)
        ans += abs(p[i][0] - x) * abs(p[i][1] - y);
    return ans;
}

void Solve(){

    cin >> n;
    x[0] = y[0] = INF;
    x[1] = y[1] = -INF;
    for (; m < n; m++){
        cin >> p[m][0] >> p[m][1];
        smin(x[0], p[m][0]);
        smax(x[1], p[m][0]);
        smin(y[0], p[m][1]);
        smax(y[1], p[m][1]);
        ll ans = Calc(x[0], y[0]);
        smax(ans, Calc(x[0], y[1]));
        smax(ans, Calc(x[1], y[0]));
        smax(ans, Calc(x[1], y[1]));
        cout << ans % mod << en;
    }
}

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0); cerr.tie(0);
    cout << setprecision(12) << fixed;
    cerr << setprecision(12) << fixed;
    cerr << "Started!" << endl;

    int t = 1;
    //cin >> t;
    while (t--)
        Solve();

    return 0;
}